Package com.sap.ai.sdk.foundationmodels.openai.model

# Class OpenAiCompletionOutput

java.lang.Object
com.sap.ai.sdk.foundationmodels.openai.model.OpenAiCompletionOutput

Direct Known Subclasses:
  `OpenAiChatCompletionDelta`, `OpenAiChatCompletionOutput`

@Deprecated public class OpenAiCompletionOutput extends Object
Deprecated.
OpenAI completion output .

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OpenAiCompletionOutput()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  Deprecated.
  `boolean`
  `equals(Object o)`
  Deprecated.
  `Integer`
  `getCreated()`
  Deprecated.
  Creation date Unix timestamp.
  `String`
  `getId()`
  Deprecated.
  Unique ID for completion.
  `String`
  `getModel()`
  Deprecated.
  Name of the model used for completion.
  `String`
  `getObject()`
  Deprecated.
  Completion object.
  `List<OpenAiPromptFilterResult>`
  `getPromptFilterResults()`
  Deprecated.
  Content filtering results for zero or more prompts in the request.
  `OpenAiUsage`
  `getUsage()`
  Deprecated.
  Token usage.
  `int`
  `hashCode()`
  Deprecated.
  `String`
  `toString()`
  Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### OpenAiCompletionOutput

    public OpenAiCompletionOutput()
    Deprecated.

- ## Method Details

  - ### equals

    public boolean equals(Object o)
    Deprecated.
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)
    Deprecated.

  - ### hashCode

    public int hashCode()
    Deprecated.
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Deprecated.
    Overrides:
      `toString` in class `Object`

  - ### getCreated

    @Nonnull public Integer getCreated()
    Deprecated.
    Creation date Unix timestamp.

  - ### getId

    @Nonnull public String getId()
    Deprecated.
    Unique ID for completion.

  - ### getModel

    @Nonnull public String getModel()
    Deprecated.
    Name of the model used for completion.

  - ### getObject

    @Nonnull public String getObject()
    Deprecated.
    Completion object.

  - ### getUsage

    @Nullable public OpenAiUsage getUsage()
    Deprecated.
    Token usage.

  - ### getPromptFilterResults

    @Nullable public List<OpenAiPromptFilterResult> getPromptFilterResults()
    Deprecated.
    Content filtering results for zero or more prompts in the request.